Compliance check of base openssl

np1

New Member


Messages: 17

Hi,
for compliance reasons I need to run `make test` against the base openssl which is included in the base FreeBSD codebase.
However when I tried to run `./config` under `/usr/src/crypto/openssl` I got these error messages

Code:
/usr/src/crypto/openssl$ ./config
Operating system: amd64-whatever-freebsd
Can't locate OpenSSL/Glob.pm in @INC (you may need to install the OpenSSL::Glob module) (@INC contains: /usr/src/crypto/openssl/util/perl /usr/local/lib/perl5/site_perl/mach/5.30 /usr/local/lib/perl5/site_perl /usr/local/lib/perl5/5.30/mach /usr/local/lib/perl5/5.30) at ./Configure line 20.
BEGIN failed--compilation aborted at ./Configure line 20.
Can't locate OpenSSL/Glob.pm in @INC (you may need to install the OpenSSL::Glob module) (@INC contains: /usr/src/crypto/openssl/util/perl /usr/local/lib/perl5/site_perl/mach/5.30 /usr/local/lib/perl5/site_perl /usr/local/lib/perl5/5.30/mach /usr/local/lib/perl5/5.30) at ./Configure line 20.
BEGIN failed--compilation aborted at ./Configure line 20.
This system (BSD-x86_64) is not supported. See file INSTALL for details

Anybody knows how to solve?

Thanks
 
OP
np1

np1

New Member


Messages: 17

I have not found anything helpful on the wiki, anybody else can help here?
Thx
 

SirDice

Administrator
Staff member
Administrator
Moderator

Reaction score: 12,357
Messages: 38,883

I suggest you ask on the mailing lists, there are very few developers active on the forums.
 
Top